> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Resolutions API Endpoint

> This API endpoint allows retrieval of supported resolutions.



## OpenAPI

````yaml get /api/resolutions/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/resolutions/:
    get:
      tags:
        - api
      summary: Get Supported Resolutions API Endpoint
      description: This API endpoint allows retrieval of supported resolutions.
      operationId: get_supported_resolutions
      responses:
        '200':
          description: Successfully retrieved supported resolutions
          content:
            application/json:
              schema:
                title: Supported Resolutions
                type: array
                items:
                  title: Resolution
                  type: object
                  properties:
                    resolution:
                      type: string
                    resolutionName:
                      type: string
                    width:
                      type: integer
                    height:
                      type: integer
                    fullPortraitResolution:
                      type: array
                      items:
                        type: integer
                    level:
                      type: number
                    frameRate:
                      type: integer
                  description: Resolution object
              example:
                - resolution: 2160p
                  resolutionName: 4K
                  width: 3840
                  height: 2160
                  fullPortraitResolution:
                    - 3840
                    - 2160
                  level: 5.2
                  frameRate: 60
        '500':
          description: Failed to retrieve supported resolutions
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````